require "rails_helper"

RSpec.describe NoteCategoriesHelper do
  describe ".options_for_note_category_select" do
    it "returns human readable options for note categories" do

      unreleased_appearance = instance_double("UnreleasedAppearance", note_category: "missing_location_release")

      results = helper.options_for_note_category_select(unreleased_appearance)

      expect(results).to match /<option value="missing_talent_release">Missing talent release<\/option>/
      expect(results).to match /<option value="missing_appearance_release">Missing appearance release<\/option>/
      expect(results).to match /<option selected="selected" value="missing_location_release">Missing location release<\/option>/
      expect(results).to match /<option value="missing_acquired_media_license">Missing acquired media license<\/option>/
      expect(results).to match /<option value="missing_materials_release">Missing materials release<\/option>/
      expect(results).to match /<option value="missing_music_license">Missing music license<\/option>/
      expect(results).to match /<option value="logo_may_require_blurring">Logo may require blurring<\/option>/
    end
  end

end
